Disks
Get Disk
Returns detailed information about a specific disk.
GET
/
api
/
disks
/
{id}
Get disk details
curl --request GET \
--url https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://control.green.us-east-1.aws.prod.archil.com/api/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "dsk-0123456789abcdef",
"name": "<string>",
"organization": "<string>",
"provider": "<string>",
"region": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fsHandlerStatus": "<string>",
"lastAccessed": "2023-11-07T05:31:56Z",
"dataSize": 1,
"monthlyUsage": "<string>",
"mounts": [
{
"id": "<string>",
"path": "<string>",
"name": "<string>",
"accessMode": "rw",
"config": {
"bucketName": "<string>",
"bucketEndpoint": "<string>",
"bucketPrefix": "<string>",
"sessionId": "<string>"
},
"authError": "<string>"
}
],
"metrics": {
"dataTransfer": "<string>",
"requests": "<string>",
"avgResponseTime": "<string>"
},
"connectedClients": [
{
"id": "<string>",
"ipAddress": "<string>",
"connectedAt": "2023-11-07T05:31:56Z"
}
],
"authorizedUsers": [
{
"principal": "<string>",
"nickname": "<string>",
"tokenSuffix": "<string>",
"token": "<string>",
"identifier": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"success": false,
"error": "Invalid request parameters"
}{
"success": false,
"error": "Invalid request parameters"
}{
"success": false,
"error": "Invalid request parameters"
}{
"success": false,
"error": "Invalid request parameters"
}Was this page helpful?
⌘I
Get disk details
